#
# spec file for package rubygem-cconfig
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           rubygem-cconfig
Version:        1.2.0
Release:        1.1
%define mod_name cconfig
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 2.1}
BuildRequires:  %{rubygem gem2rpm}
Url:            https://github.com/mssola/cconfig
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Configuration management for container-aware applications
License:        LGPL-3.0
Group:          Development/Languages/Ruby

%description
CConfig (Container Config) is a container-aware configuration management
gem. This is useful for applications that want to keep a reference configuration
and add modifications to it in two different ways:

- An alternative configuration file that lists all the modifications.
- A list of environment variables that follow a given naming policy.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md COPYING README.md" \
  -f

# Remove unneeded files
find %{buildroot}/usr -name "*.rubocop.yml" -exec rm {} \;
find %{buildroot}/usr -name "*.rspec" -exec rm {} \;
find %{buildroot}/usr -name "*.ruby-version" -exec rm {} \;
find %{buildroot}/usr -name "*.travis.yml" -exec rm {} \;
find %{buildroot}/usr -name "*.gitignore" -exec rm {} \;

%gem_packages

%changelog
* Wed Dec 20 2017 msabate@suse.com
- Updated to 1.2.0
  This release includes the `#default_of` method.
* Fri Aug 11 2017 msabate@suse.com
- Updated to 1.1.1
  This release includes two bug fixes:
- Fixed crash on nested values on the `#enabled?` method. See
  https://github.com/mssola/cconfig/issues/3.
- The `prefix` argument from the constructor now takes a default
  (`cconfig`). This will make things more predictable.
* Tue Aug  8 2017 msabate@suse.com
- Updated to 1.1.0
  This release adds the `disabled?` shorthand
* Tue Aug  8 2017 msabate@suse.com
- Removed some package warnings
* Tue Aug  8 2017 msabate@suse.com
- First release of cconfig
